#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Class
%define		pnam	Load-XS
%include	/usr/lib/rpm/macros.perl
Summary:	Class::Load::XS - XS implementation of parts of Class::Load
Summary(pl.UTF-8):	Class::Load::XS - implementacja XS części modułu Class::Load
Name:		perl-Class-Load-XS
Version:	0.09
Release:	3
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	98eb8daf7f23c872fc7f503a7e34f598
URL:		http://search.cpan.org/dist/Class-Load-XS/
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Load >= 0.20
BuildRequires:	perl-Module-Implementation >= 0.04
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an XS implementation for portions of Class::Load.
See Class::Load for API details.

%description -l pl.UTF-8
Ten moduł dostarcza implementację XS niektórych części Class::Load.
Więcej szczegółów na temat API w Class::Load.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Class/Load
%{perl_vendorarch}/Class/Load/XS.pm
%dir %{perl_vendorarch}/auto/Class/Load
%dir %{perl_vendorarch}/auto/Class/Load/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Class/Load/XS/XS.so
%{_mandir}/man3/Class::Load::XS.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Load-XS.git;a=log;h=auto/th/perl-Class-Load-XS-0.09-3

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 559552a
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1e99ddd
- release 2 (by relup.sh)

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 7c9ba47
- updated to 0.09

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 48fbcf8
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9e5a68c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2640e86
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 0efb815
- updated perl-Class-Load version

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> d3bead4
- package missing dirs
- rel 2

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 1141264
- up to 0.06
- this is arch-dependant package!

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> d4a2477
- new

